/***************************************************************************
 *   KT icons.                                                             *
 *   --------------------------------------------------------------------  *
 *   Copyright (C) 1999, Gary Meyer <gary@meyer.net>                       *
 *   --------------------------------------------------------------------  *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 ***************************************************************************/

#ifndef KTICON_H
#define KTICON_H
 
#include <tqpixmap.h>
#include <tqstring.h>

/**
  * Wraps all icons used by the application.
  */

class KTIcon
{

public:

  static TQPixmap getMiniIcon(const TQString& name);
  static TQPixmap getIcon(const TQString& name);
  static TQPixmap application(bool mini);
  static TQPixmap system(bool mini);
  static TQPixmap user(bool mini);
  static TQPixmap variables(bool mini);
  static TQPixmap variable(bool mini);
  static TQPixmap mail(bool mini);
  static TQPixmap shell(bool mini);
  static TQPixmap home(bool mini);
  static TQPixmap path(bool mini);
  static TQPixmap tasks(bool mini);
  static TQPixmap task(bool mini);

};

#endif // KTICON_H
